ValueList
Keywords: uk.ac.ic.doc.automed.p2p.tree.ValueList class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.tree
Class ValueList

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.tree.TreeNode
          uk.ac.ic.doc.automed.p2p.tree.Value
              uk.ac.ic.doc.automed.p2p.tree.ValueList

    public class ValueList

extends Value

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.p2p.tree.TreeNode
`children, CLASS, COLLECTION, COLLECTION_SET, FIELD, GLOBAL, id, ID, LIST, MAIN_OBJECT_CLASSES, OBJECT, OBJECT_DEFINITION, OBJECT_LIST, parent, REF, VALUE`

Constructor Summary
`ValueList(java.lang.String id)`

Method Summary
`protected java.util.List` | `getAllReferences()`
`java.util.List` | `getChildren()`
`protected org.w3c.dom.Node` | `getXMLNode(org.w3c.dom.Document document)`
`protected boolean` | `isValidChild(TreeNode child)`
`protected void` | `placeChild(TreeNode child)`

Methods inherited from class uk.ac.ic.doc.automed.p2p.tree.TreeNode
`addChild, createObjectNode, createTree, createTree, getChild, getId, getXMLDocument, getXMLString, setId, setParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueList

    public ValueList(java.lang.String id)

Method Detail

### getAllReferences

    protected java.util.List getAllReferences()

### getXMLNode

    protected org.w3c.dom.Node getXMLNode(org.w3c.dom.Document document)

  Overrides:
    `getXMLNode` in class `Value`

### isValidChild

    protected boolean isValidChild(TreeNode child)

  Overrides:
    `isValidChild` in class `Value`

### placeChild

    protected void placeChild(TreeNode child)

  Overrides:
    `placeChild` in class `TreeNode`

### getChildren

    public java.util.List getChildren()

  Overrides:
    `getChildren` in class `TreeNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD